View Issue Details

IDProjectCategoryView StatusLast Update
0004773unrealircdpublic2016-12-29 11:47
ReporterGHFAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.0.7 
Target VersionFixed in Version4.0.10 
Summary0004773: exempt IPs in the blacklist block
DescriptionIt would be great if the blacklist block had feature to exempt IPs.
TagsNo tags attached.
3rd party modules

Activities

syzop

2016-12-29 11:40

administrator   ~0019578

commit 9da4c7e5d09cc60357878fe6fadbd070b8a08983
Author: Bram Matthys <syzop@vulnscan.org>
Date: Thu Dec 29 11:38:49 2016 +0100

    Added DNSBL check exemption: except blacklist { mask 1.2.3.4; };

https://github.com/unrealircd/unrealircd/commit/9da4c7e5d09cc60357878fe6fadbd070b8a08983

TODO: documentation :)

syzop

2016-12-29 11:43

administrator   ~0019579

Last edited: 2016-12-29 11:47

View 3 revisions

Docs done as well https://www.unrealircd.org/docs/Except_blacklist_block

NOTE: Requires UnrealIRCd 4.0.10 or later, don't just copy-paste the blacklist module to earlier UnrealIRCd versions. The except blacklist stuff is both in the core AND in the module.

Issue History

Date Modified Username Field Change
2016-10-26 13:33 GHF New Issue
2016-10-30 11:45 syzop Priority high => normal
2016-12-29 11:40 syzop Assigned To => syzop
2016-12-29 11:40 syzop Status new => resolved
2016-12-29 11:40 syzop Resolution open => fixed
2016-12-29 11:40 syzop Fixed in Version => 4.0.10
2016-12-29 11:40 syzop Note Added: 0019578
2016-12-29 11:43 syzop Note Added: 0019579
2016-12-29 11:47 syzop Note Edited: 0019579 View Revisions
2016-12-29 11:47 syzop Note Edited: 0019579 View Revisions